/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "point.h"
#include <QColor>
#include <QPainter>
#include <QRect>

Point::Point(QGraphicsItem * parent) : QGraphicsItem(parent)
{
	pointNumber = -1;
}

QRectF Point::boundingRect() const
{
	return QRectF(-2*pointRadius, -2*pointRadius, 4*pointRadius, 4*pointRadius);
}

void Point::paint(QPainter * painter, const QStyleOptionGraphicsItem *,
                  QWidget *)
{
	// Draw the circle
	painter->setBrush(QColor(Qt::blue));
	painter->drawEllipse(-pointRadius/2, -pointRadius/2,
	                     pointRadius, pointRadius);

	// Draw the number
	painter->setBrush(QColor(Qt::black));
	painter->drawText(QRect(-pointRadius/2, pointRadius/2, 2*pointRadius, 2*pointRadius),
	                  QString("%1").arg(pointNumber));
}


