/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef POINT_H
#define POINT_H

#include <QGraphicsItem>

class Point : public QGraphicsItem
{
public:
	Point(QGraphicsItem * parent = 0);

	/// Returns an estimate of the area painted by the item
	QRectF boundingRect() const;

	/// Implements the actual painting
	void paint(QPainter * painter, const QStyleOptionGraphicsItem * option,
	           QWidget * widget);

	/// Get the point number
	int number() const
	{
		return pointNumber;
	}

	/// Set the point number
	void setNumber(const int number)
	{
		pointNumber = number;
	}

private:
	/// Radius of the circle
	static const int pointRadius = 6;
	/// Point number
	int pointNumber;
};

#endif // Point




