/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "practico3.h"
#include <QMouseEvent>
#include <QGraphicsEllipseItem>
#include <QString>
#include <QDebug>

Practico3::Practico3(QWidget * parent) : QMainWindow(parent)
{
	// Set the UI
	mainWindow.setupUi(this);

	scene.setSceneRect(0, 0, mainWindow.graphicsView->width(),
	                   mainWindow.graphicsView->height());

	// Set the scene for the graphicsView
	mainWindow.graphicsView->setScene(&scene);

	// Set the add - remove mouse action
	mainWindow.addRemoveRadioButton->setChecked(true);

	// Status bar signal
	connect(&scene,SIGNAL(sendSatusBarMessage(const QString &, int)),
	        mainWindow.statusBar,SLOT(showMessage(const QString &, int)));

	// Lagrange checkbox signal
	connect(mainWindow.lagrangeCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayLagrangeCurve(int)));

	// Hermite checkbox signal
	connect(mainWindow.hermiteCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayHermiteCurve(int)));

	// de Casteljau checkbox signal
	connect(mainWindow.deCasteljauCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayDeCasteljauCurve(int)));

	// Bernstein checkbox signal
	connect(mainWindow.bernsteinCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayBernsteinCurve(int)));

	// B-Spline checkbox signal
	connect(mainWindow.bSplinesCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayBSplinesCurve(int)));

	// Cubic B-Spline checkbox signal
	connect(mainWindow.cubicBSplineCurveCheckBox, SIGNAL(stateChanged(int)),
	        &scene, SLOT(displayCubicBSplineCurve(int)));

	// B-Spline spin box
	connect(mainWindow.bSplineCurveGradeSpinBox, SIGNAL(valueChanged(int)),
	        &scene, SLOT(bSplineCurveGradeChanged(int)));
}


